org.apache.commons.compress.archivers.sevenz

## Enum SevenZMethod

- java.lang.Object
- - java.lang.Enum<SevenZMethod>
  - - org.apache.commons.compress.archivers.sevenz.SevenZMethod

- All Implemented Interfaces:
    Serializable, Comparable<SevenZMethod>

      public enum SevenZMethod
      extends Enum<SevenZMethod>

  The (partially) supported compression/encryption methods used in 7z archives.

  All methods with a _FILTER suffix are used as preprocessors with the goal of creating a better compression ratio with the compressor that comes next in the chain of methods. 7z will in general only allow them to be used together with a "real" compression method but Commons Compress doesn't enforce this.

  The BCJ_ filters work on executable files for the given platform and convert relative addresses to absolute addresses in CALL instructions. This means they are only useful when applied to executables of the chosen platform.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AES256SHA256` AES encryption with a key length of 256 bit using SHA256 for hashes - only supported when reading
    `BCJ_ARM_FILTER` BCJ ARM platform.
    `BCJ_ARM_THUMB_FILTER` BCJ ARM Thumb platform.
    `BCJ_IA64_FILTER` BCJ I64 platform.
    `BCJ_PPC_FILTER` BCJ PowerPC platform.
    `BCJ_SPARC_FILTER` BCJ Sparc platform.
    `BCJ_X86_FILTER` BCJ x86 platform version 1.
    `BZIP2` BZIP2
    `COPY` no compression at all
    `DEFLATE` Deflate
    `DEFLATE64` Deflate64
    `DELTA_FILTER` Delta filter.
    `LZMA` LZMA - only supported when reading
    `LZMA2` LZMA2

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SevenZMethod` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SevenZMethod[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### COPY

          public static final SevenZMethod COPY

      no compression at all

    - #### LZMA

          public static final SevenZMethod LZMA

      LZMA - only supported when reading

    - #### LZMA2

          public static final SevenZMethod LZMA2

      LZMA2

    - #### DEFLATE

          public static final SevenZMethod DEFLATE

      Deflate

    - #### DEFLATE64

          public static final SevenZMethod DEFLATE64

      Deflate64
      Since:
        1.16

    - #### BZIP2

          public static final SevenZMethod BZIP2

      BZIP2

    - #### AES256SHA256

          public static final SevenZMethod AES256SHA256

      AES encryption with a key length of 256 bit using SHA256 for hashes - only supported when reading

    - #### BCJ_X86_FILTER

          public static final SevenZMethod BCJ_X86_FILTER

      BCJ x86 platform version 1.
      Since:
        1.8

    - #### BCJ_PPC_FILTER

          public static final SevenZMethod BCJ_PPC_FILTER

      BCJ PowerPC platform.
      Since:
        1.8

    - #### BCJ_IA64_FILTER

          public static final SevenZMethod BCJ_IA64_FILTER

      BCJ I64 platform.
      Since:
        1.8

    - #### BCJ_ARM_FILTER

          public static final SevenZMethod BCJ_ARM_FILTER

      BCJ ARM platform.
      Since:
        1.8

    - #### BCJ_ARM_THUMB_FILTER

          public static final SevenZMethod BCJ_ARM_THUMB_FILTER

      BCJ ARM Thumb platform.
      Since:
        1.8

    - #### BCJ_SPARC_FILTER

          public static final SevenZMethod BCJ_SPARC_FILTER

      BCJ Sparc platform.
      Since:
        1.8

    - #### DELTA_FILTER

          public static final SevenZMethod DELTA_FILTER

      Delta filter.
      Since:
        1.8

  - ### Method Detail

    - #### values

          public static SevenZMethod[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SevenZMethod c : SevenZMethod.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SevenZMethod valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2002–2022 The Apache Software Foundation. All rights reserved.